<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BorderCrossingSelection_V3 StructType
 * @subpackage Structs
 */
class BorderCrossingSelection_V3 extends BorderCrossingSelection_V2
{
    /**
     * The ShowSplitByDay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $ShowSplitByDay;
    /**
     * Constructor method for BorderCrossingSelection_V3
     * @uses BorderCrossingSelection_V3::setShowSplitByDay()
     * @param bool $showSplitByDay
     */
    public function __construct($showSplitByDay = null)
    {
        $this
            ->setShowSplitByDay($showSplitByDay);
    }
    /**
     * Get ShowSplitByDay value
     * @return bool
     */
    public function getShowSplitByDay()
    {
        return $this->ShowSplitByDay;
    }
    /**
     * Set ShowSplitByDay value
     * @param bool $showSplitByDay
     * @return \StructType\BorderCrossingSelection_V3
     */
    public function setShowSplitByDay($showSplitByDay = null)
    {
        // validation for constraint: boolean
        if (!is_null($showSplitByDay) && !is_bool($showSplitByDay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showSplitByDay, true), gettype($showSplitByDay)), __LINE__);
        }
        $this->ShowSplitByDay = $showSplitByDay;
        return $this;
    }
}
